# Company Name (CompanyNameGenerator)

{% hint style="info" %}
The Company Name generator is deprecated. Use the [Business Name](https://docs.tonic.ai/app/generation/generators/generator-reference/business-name) generator instead.
{% endhint %}

The [Company Name](https://docs.tonic.ai/app/generation/generators/generator-reference/company-name) generator generates a random company name-like string.

## Link object structure <a href="#generator-api-company-name-link-object" id="generator-api-company-name-link-object"></a>

The Company Name generator does not support linking. It can be self-consistent or consistent with another column. You cannot configure differential privacy.

The `metadata` object is populated from the [`BaseMetadata`](https://app.tonic.ai/apidocs/index.html#/models/BaseMetadata) object.

There is no generator-specific configuration.

```json
{
  "schema": "string",
  "table": "string",
  "column": "string",
  "path": "string",  //JSON fields only
  "dataType": "string",  //MongoDB, Amazon DynamoDB, and JSON fields only
  "metadata": {
    "presetId": "string",
    "generatorId": "CompanyNameGenerator",
    "isConsistent": boolean,
    "consistencyColumn": "string",
    "encryptionProcessor": "x-on", //To use configured Structural data encryption
    "customValueProcessor": "string"  //If custom value processor applied
  }
}
```

## Example replacement <a href="#generator-api-company-name-replacement" id="generator-api-company-name-replacement"></a>

In the following replacement, the Company Name generator is applied to a `company` column, and is consistent with a `name` column.

```json
{
  "name": "company",
  "schema": "public",
  "table": "users",
  "links": [
    {
      "schema": "public",
      "table": "users",
      "column": "company",
      "metadata": {
        "presetId": "CompanyNameGenerator",
        "generatorId": "CompanyNameGenerator",
        "isConsistent": true,
        "consistencyColumn": "name"
      }
    }
  ]
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tonic.ai/app/api/quick-start-guide/tonic-api-generator-assignment/generator-api-reference/generator-api-ref-company-name.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
